Function
getQualityValue
Returns the quality of a character from an alphabet with integrated quality, e.g. the quality associated with a specified element from a sequence.
getQualityValue(c)
Include Headers
seqan/basic.h
Parameters

c | Character to retrieve the quality from. Types: AlphabetWithQualitiesConcept, Dna5Q, DnaQ

Return Values
Quality value of c.
Types: int
Remarks: The quality value is an integral value between 0 and 62 (inclusive).
Member of
DnaQ
Examples
String<Dna5Q> seq = "TATA";
// Assign quality value to first 'T' in sequence seq
assignQualityValue(seq[0], 35);
// Print quality value of first 'T', and default quality value of first 'A'
std::cout << getQualityValue(seq[0]) << std::endl; // Defined as 35
std::cout << getQualityValue(seq[1]) << std::endl; // Default value 60
Part of Concept
AlphabetWithQualitiesConcept
See Also
convertQuality, assignQualityValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58